/*
 * Copyright 2006-2010 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.consol.citrus.validation.context;


/**
 * Basic validation context holding validation specific information.
 * 
 * @author Christoph Deppisch
 */
public interface ValidationContext {

    /**
     * Gets flag stating that header name validation should ignore case.
     * @return
     */
    boolean isHeaderNameIgnoreCase();

    /**
     * Sets the header name ignore case option enabled/disabled.
     * @param value
     */
    void setHeaderNameIgnoreCase(boolean value);
}
